[arch-commits] Commit in python-coverage/repos/community-x86_64 (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Mon Feb 1 22:45:05 UTC 2021


    Date: Monday, February 1, 2021 @ 22:45:05
  Author: felixonmars
Revision: 840811

archrelease: copy trunk to community-x86_64

Added:
  python-coverage/repos/community-x86_64/PKGBUILD
    (from rev 840809, python-coverage/trunk/PKGBUILD)
Deleted:
  python-coverage/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |  136 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 68 insertions(+), 68 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2021-02-01 22:45:03 UTC (rev 840810)
+++ PKGBUILD	2021-02-01 22:45:05 UTC (rev 840811)
@@ -1,68 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Clément Démoulins <clement at archivel.fr>
-# Contributor: Fazlul Shahriar <fshahriar at gmail.com>
-
-pkgbase=python-coverage
-pkgname=(python-coverage python2-coverage)
-pkgver=5.3.1
-pkgrel=1
-pkgdesc="A tool for measuring code coverage of Python programs"
-arch=('x86_64')
-url="https://nedbatchelder.com/code/coverage/"
-license=('Apache')
-makedepends=('python-setuptools' 'python2-setuptools')
-checkdepends=('python-flaky' 'python-hypothesis' 'python-mock'
-'python-pycontracts' 'python-pytest' 'python-pytest-xdist' 'python-toml'
-'python-unittest-mixins' 'python-virtualenv')
-source=("$pkgbase-$pkgver.tar.gz::https://github.com/nedbat/coveragepy/archive/coverage-$pkgver.tar.gz")
-sha512sums=('fd8a9588e60eb9d7610f25f7d3da5338d4bf6e9064ec1f73bd5699d541ee4327d892130081412bb939ef422fa44534b5996bab332149f1f4a9dfae0aae9b36a9')
-b2sums=('907ca2b1f0434e87c038cdc83ff10075e305c7614f4eaa1d185fca409a77e5613dcb65c7b6e58150a463d07d4e1a1ee14bdf4f2dffefbec47060e447729b7e39')
-
-prepare() {
-  mv -v "coveragepy-coverage-$pkgver" "${pkgbase}-$pkgver"
-}
-
-build() {
-  cd "${pkgbase}-$pkgver"
-  python setup.py build
-  python2 setup.py build
-}
-
-check() {
-  cd "${pkgbase}-$pkgver"
-  local python_version="$(python -c 'import sys; print(".".join(map(str, sys.version_info[:2])))')"
-  (
-    virtualenv "test_dir" --system-site-packages
-    . "test_dir/bin/activate"
-    export PYTHONPATH="/usr/lib/python${python_version}/site-packages:${PYTHONPATH}"
-    python setup.py --quiet clean develop
-    python igor.py zip_mods install_egg remove_extension
-    python igor.py test_with_tracer py
-    python setup.py --quiet build_ext --inplace
-    python igor.py test_with_tracer c
-  ) || echo "Known failing tests."
-}
-
-package_python-coverage() {
-  depends=('python-setuptools')
-  optdepends=('python-toml: for pyproject.toml support')
-  cd "${pkgbase}-$pkgver"
-
-  python setup.py install --skip-build \
-    --optimize=1 \
-    --prefix=/usr \
-    --root="${pkgdir}"
-}
-
-package_python2-coverage() {
-  depends=('python2-setuptools')
-  optdepends=('python2-toml: for pyproject.toml support')
-  cd "${pkgbase}-$pkgver"
-
-  python2 setup.py install --skip-build \
-    --optimize=1 \
-    --prefix=/usr \
-    --root="${pkgdir}"
-  # circumvent file conflicts with python-coverage
-  mv -v "$pkgdir/usr/bin/coverage"{,2}
-}

Copied: python-coverage/repos/community-x86_64/PKGBUILD (from rev 840809, python-coverage/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2021-02-01 22:45:05 UTC (rev 840811)
@@ -0,0 +1,68 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Clément Démoulins <clement at archivel.fr>
+# Contributor: Fazlul Shahriar <fshahriar at gmail.com>
+
+pkgbase=python-coverage
+pkgname=(python-coverage python2-coverage)
+pkgver=5.4
+pkgrel=1
+pkgdesc="A tool for measuring code coverage of Python programs"
+arch=('x86_64')
+url="https://nedbatchelder.com/code/coverage/"
+license=('Apache')
+makedepends=('python-setuptools' 'python2-setuptools')
+checkdepends=('python-flaky' 'python-hypothesis' 'python-mock'
+'python-pycontracts' 'python-pytest' 'python-pytest-xdist' 'python-toml'
+'python-unittest-mixins' 'python-virtualenv')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/nedbat/coveragepy/archive/coverage-$pkgver.tar.gz")
+sha512sums=('9604ad31762bc86251959128f69a119569d7017fd6b146c470f98fc2ed91626baed9c043c91ecb1b02c2954c286a8e9691fcca5bb03233fcddb9f8be6618b27d')
+b2sums=('9fc77b2d10a1e2726f56fd31eeee5ded5c1b2fb3fd3f54baa296a7eefdc33885045c7637b1f8b56a4528a01ae996bbd960a3c2537db16d293c5d0b0b9b021e60')
+
+prepare() {
+  mv -v "coveragepy-coverage-$pkgver" "${pkgbase}-$pkgver"
+}
+
+build() {
+  cd "${pkgbase}-$pkgver"
+  python setup.py build
+  python2 setup.py build
+}
+
+check() {
+  cd "${pkgbase}-$pkgver"
+  local python_version="$(python -c 'import sys; print(".".join(map(str, sys.version_info[:2])))')"
+  (
+    virtualenv "test_dir" --system-site-packages
+    . "test_dir/bin/activate"
+    export PYTHONPATH="/usr/lib/python${python_version}/site-packages:${PYTHONPATH}"
+    python setup.py --quiet clean develop
+    python igor.py zip_mods install_egg remove_extension
+    python igor.py test_with_tracer py
+    python setup.py --quiet build_ext --inplace
+    python igor.py test_with_tracer c
+  ) || echo "Known failing tests."
+}
+
+package_python-coverage() {
+  depends=('python-setuptools')
+  optdepends=('python-toml: for pyproject.toml support')
+  cd "${pkgbase}-$pkgver"
+
+  python setup.py install --skip-build \
+    --optimize=1 \
+    --prefix=/usr \
+    --root="${pkgdir}"
+}
+
+package_python2-coverage() {
+  depends=('python2-setuptools')
+  optdepends=('python2-toml: for pyproject.toml support')
+  cd "${pkgbase}-$pkgver"
+
+  python2 setup.py install --skip-build \
+    --optimize=1 \
+    --prefix=/usr \
+    --root="${pkgdir}"
+  # circumvent file conflicts with python-coverage
+  mv -v "$pkgdir/usr/bin/coverage"{,2}
+}


More information about the arch-commits mailing list